Package org.eclipse.graphiti.ui.internal.util.clipboard

# Class UriTransfer

java.lang.Object
org.eclipse.swt.dnd.Transfer
org.eclipse.swt.dnd.ByteArrayTransfer
org.eclipse.graphiti.ui.internal.util.clipboard.UriTransfer

public class UriTransfer extends org.eclipse.swt.dnd.ByteArrayTransfer
SWT `Transfer` for transporting a number of object `URI` -addressable objects. Expected data class is `UriTransferData`. In copy/paste scenario, use the `ModelClipboard` facility.

## Method Summary

Modifier and Type
Method
Description
`static UriTransfer`
`getInstance()`
`protected int[]`
`getTypeIds()`
`protected String[]`
`getTypeNames()`
`protected void`
`javaToNative(Object data, org.eclipse.swt.dnd.TransferData transferData)`
`protected Object`
`nativeToJava(org.eclipse.swt.dnd.TransferData transferData)`
`String`
`toString()`

### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

`getSupportedTypes, isSupportedType`

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getInstance

public static UriTransfer getInstance()

Returns:
  the singleton instance

### getTypeIds

protected int[] getTypeIds()

Specified by:
  `getTypeIds` in class `org.eclipse.swt.dnd.Transfer`

### getTypeNames

protected String[] getTypeNames()

Specified by:
  `getTypeNames` in class `org.eclipse.swt.dnd.Transfer`

### javaToNative

protected void javaToNative(Object data, org.eclipse.swt.dnd.TransferData transferData)

Overrides:
  `javaToNative` in class `org.eclipse.swt.dnd.ByteArrayTransfer`

### nativeToJava

protected Object nativeToJava(org.eclipse.swt.dnd.TransferData transferData)

Overrides:
  `nativeToJava` in class `org.eclipse.swt.dnd.ByteArrayTransfer`

### toString

public String toString()

Overrides:
  `toString` in class `Object`